const FIREBASE_HOSTING_URL = 'https://chrome-extension-banesco-e60a8.web.app';

const iframe = document.createElement('iframe');
iframe.src = FIREBASE_HOSTING_URL;
document.body.appendChild(iframe);

chrome.runtime.onMessage.addListener((message, sender, sendResponse) => {
  const { action, target, data } = message
  function handleIframeMessage({ data }) {
    try {
      window.removeEventListener('message', handleIframeMessage);
      sendResponse(data);
    } catch (e) {
      console.error('Error parsing iframe message:', e);
    }
  }

  if (action === 'signIn' && target === 'offscreen') {
    window.addEventListener('message', handleIframeMessage);
    iframe.contentWindow.postMessage({ action: 'signIn' }, FIREBASE_HOSTING_URL);
    return true; // Indicates we will send a response asynchronously


  } else if (action === 'signOut' && target === 'offscreen') {
    window.addEventListener('message', handleIframeMessage);
    iframe.contentWindow.postMessage({ action: 'signOut' }, FIREBASE_HOSTING_URL);
    return true; // Indicates we will send a response asynchronously

  } else if (action === 'refreshIdToken' && target === 'offscreen') {
    window.addEventListener('message', handleIframeMessage);
    iframe.contentWindow.postMessage({ action: 'refreshIdToken', data }, FIREBASE_HOSTING_URL);
    return true; // Indicates we will send a response asynchronously
  }
});
